<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Home page</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.0-beta1/dist/css/bootstrap.min.css" rel="stylesheet"
          integrity="sha384-0evHe/X+R7YkIZDRvuzKMRqM+OrBnVFBL6DOitfPri4tjfHxaWutUpFmBp4vmVor" crossorigin="anonymous">
</head>
<body>
<div class="container">
    <div class="row">
        <div class="col-12">
            <h1 class="mb-4 text-center">Speech Recognition Demo</h1>
            <h3 class="mb-3">Select Language</h3>
            <div class="btn-group" role="group" aria-label="Basic radio toggle button group">
                <input type="radio" class="btn-check" name="language" id="english" value="english" checked>
                <label class="btn btn-outline-secondary" for="english">English</label>

                <input type="radio" class="btn-check" name="language" id="hindi" value="hindi">
                <label class="btn btn-outline-secondary" for="hindi">Hindi</label>

                <input type="radio" class="btn-check" name="language" id="tamil" value="tamil">
                <label class="btn btn-outline-secondary" for="tamil">Tamil</label>

                <input type="radio" class="btn-check" name="language" id="kannada" value="kannada">
                <label class="btn btn-outline-secondary" for="kannada">Kannada</label>
            </div>
            <h3 class="mb-3 mt-3">Output Display</h3>
            <div class="btn-group" role="group" aria-label="Basic radio toggle button group">
                <input type="radio" class="btn-check" name="display" id="streaming" value="streaming" checked>
                <label class="btn btn-outline-secondary" for="streaming">Streaming</label>

                <input type="radio" class="btn-check" name="display" id="nonStreaming" value="non-streaming">
                <label class="btn btn-outline-secondary" for="nonStreaming">Non-Streaming</label>
            </div>
        </div>
        <div class="col-4">
            <div class="input-group mt-3">
                <input type="file" class="form-control" id="inputGroup1" name="audio">
            </div>
        </div>

        <button type="button" class="btn btn-secondary mt-3" id="transcribe-button">Transcribe</button>
        <h3 class="mb-3 mt-3">Output</h3>
        <input type="text" id="status-bar" value="status">
        <div class="form-floating col-6">
            <textarea class="form-control" id="floatingTextarea"
                      style="height: 300px; width: 100%">{{ result }}</textarea>
        </div>
    </div>
</div>

<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.0-beta1/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-pprn3073KE6tl6bjs2QrFaJGz5/SUsLqktiwsUTF55Jfv3qYSDhgCecCxMW52nD2"
        crossorigin="anonymous"></script>
<script src="https://code.jquery.com/jquery-3.3.1.min.js"
        integrity="sha256-FgpCb/KJQlLNfOu91ta32o/NMZxltwRo8QtmkMRdAu8="
        crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/socket.io/4.0.1/socket.io.js"
        integrity="sha512-q/dWJ3kcmjBLU4Qc47E4A9kTB4m3wuTY7vkFJDTZKjTs8jhyGQnaUrxa0Ytd0ssMZhbNua9hE+E7Qv1j+DyZwA=="
        crossorigin="anonymous"></script>
<script type="text/javascript" src="{{ url_for('static', filename='js/main.js') }}"></script>
</body>
</html>
